org.eclipse.microprofile.health

## Interface HealthCheck

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface HealthCheck

The health check procedure interface. Invoked by consumers to verify the healthiness of a computing node. Unhealthy nodes are expected to be terminated.

Since:
  13.06.17
Author:
  Heiko Braun

### Method Summary

All Methods Instance Methods Abstract Methods
`HealthCheckResponse` `call()` Invokes the health check procedure provided by the implementation of this interface.

### Method Detail

#### call

    HealthCheckResponse call()

Invokes the health check procedure provided by the implementation of this interface.

Returns:
  `HealthCheckResponse` object containing information about the health check result